Bug 1033941 - (CVE-2017-7705) VUL-1: CVE-2017-7705: wireshark: RPC over RDMA dissector could go into an infinite loop (wnpa-sec-2017-15)
(CVE-2017-7705)
VUL-1: CVE-2017-7705: wireshark: RPC over RDMA dissector could go into an inf...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Lingshan Zhu
Security Team bot
https://smash.suse.de/issue/183585/
CVSSv2:SUSE:CVE-2017-7705:7.1:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-13 07:51 UTC by Alexander Bergmann
Modified: 2020-06-22 08:38 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2017-04-13 07:51:22 UTC
CVE-2017-7705

In Wireshark 2.2.0 to 2.2.5 and 2.0.0 to 2.0.11, the RPC over RDMA dissector
could go into an infinite loop, triggered by packet injection or a malformed
capture file. This was addressed in epan/dissectors/packet-rpcrdma.c by
correctly checking for going beyond the maximum offset.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-7705
http://people.canonical.com/~ubuntu-security/cve/2017/CVE-2017-7705.html
http://www.cvedetails.com/cve/CVE-2017-7705/
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-7705
https://code.wireshark.org/review/gitweb?p=wireshark.git;a=commit;h=08d392bbecc8fb666bf979e70a34536007b83ea2
https://www.wireshark.org/security/wnpa-sec-2017-15.html
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=13558
Comment 1 Bernhard Wiedemann 2017-04-14 10:02:15 UTC
This is an autogenerated message for OBS integration:
This bug (1033941) was mentioned in
https://build.opensuse.org/request/show/487927 Factory / wireshark
https://build.opensuse.org/request/show/487928 42.2 / wireshark
Comment 2 Swamp Workflow Management 2017-04-21 13:15:49 UTC
openSUSE-SU-2017:1087-1: An update that fixes 10 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1033936,1033937,1033938,1033939,1033940,1033941,1033942,1033943,1033944,1033945
CVE References: CVE-2017-7700,CVE-2017-7701,CVE-2017-7702,CVE-2017-7703,CVE-2017-7704,CVE-2017-7705,CVE-2017-7745,CVE-2017-7746,CVE-2017-7747,CVE-2017-7748
Sources used:
openSUSE Leap 42.2 (src):    wireshark-2.2.6-14.3.1
Comment 3 Lingshan Zhu 2017-05-02 02:43:41 UTC
resolved by the latest update
Comment 4 Swamp Workflow Management 2017-05-04 13:12:04 UTC
SUSE-SU-2017:1174-1: An update that solves 23 vulnerabilities and has two fixes is now available.

Category: security (moderate)
Bug References: 1002981,1010735,1010740,1010752,1010754,1010911,1021739,1025913,1027998,1033936,1033937,1033938,1033939,1033940,1033941,1033942,1033943,1033944,1033945,998761,998762,998763,998800,998963,998964
CVE References: CVE-2016-7175,CVE-2016-7176,CVE-2016-7177,CVE-2016-7178,CVE-2016-7179,CVE-2016-7180,CVE-2016-9373,CVE-2016-9374,CVE-2016-9375,CVE-2016-9376,CVE-2017-5596,CVE-2017-5597,CVE-2017-6014,CVE-2017-7700,CVE-2017-7701,CVE-2017-7702,CVE-2017-7703,CVE-2017-7704,CVE-2017-7705,CVE-2017-7745,CVE-2017-7746,CVE-2017-7747,CVE-2017-7748
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    wireshark-2.0.12-36.1
SUSE Linux Enterprise Server 11-SP4 (src):    wireshark-2.0.12-36.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    wireshark-2.0.12-36.1
Comment 5 Swamp Workflow Management 2017-05-30 16:12:42 UTC
SUSE-SU-2017:1442-1: An update that solves 24 vulnerabilities and has four fixes is now available.

Category: security (moderate)
Bug References: 1002981,1010735,1010740,1010752,1010754,1010911,1021739,1025913,1026507,1027692,1027998,1033936,1033937,1033938,1033939,1033940,1033941,1033942,1033943,1033944,1033945,990856,998761,998762,998763,998800,998963,998964
CVE References: CVE-2016-6354,CVE-2016-7175,CVE-2016-7176,CVE-2016-7177,CVE-2016-7178,CVE-2016-7179,CVE-2016-7180,CVE-2016-9373,CVE-2016-9374,CVE-2016-9375,CVE-2016-9376,CVE-2017-5596,CVE-2017-5597,CVE-2017-6014,CVE-2017-7700,CVE-2017-7701,CVE-2017-7702,CVE-2017-7703,CVE-2017-7704,CVE-2017-7705,CVE-2017-7745,CVE-2017-7746,CVE-2017-7747,CVE-2017-7748
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    wireshark-2.2.6-44.3
SUSE Linux Enterprise Software Development Kit 12-SP1 (src):    wireshark-2.2.6-44.3
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    wireshark-2.2.6-44.3
SUSE Linux Enterprise Server 12-SP2 (src):    wireshark-2.2.6-44.3
SUSE Linux Enterprise Server 12-SP1 (src):    wireshark-2.2.6-44.3
SUSE Linux Enterprise Desktop 12-SP2 (src):    wireshark-2.2.6-44.3
SUSE Linux Enterprise Desktop 12-SP1 (src):    wireshark-2.2.6-44.3